<?php

if ( ! class_exists( 'SLPExperience_Data' ) ) {
	class SLPExperience_Data extends SLPlus_BaseClass_Object {
		public function lookup_sql_by_slug( $slug ) {
			switch ( $slug ) {
				case 'select_city_state':
					return "SELECT CONCAT(TRIM(sl_city), ', ', TRIM(sl_state)) as city_state" . $this->slplus->database->from_slp_table;

				case 'group_by_city_state':
					return 'GROUP BY city_state ';

				case 'order_by_city_state':
					return 'ORDER BY city_state ASC';

				case 'where_valid_city':
					return $this->slplus->database->add_where_clause("(sl_city<>'') AND (sl_city IS NOT NULL)");

				default:
					return $slug;
			}
		}
	}
}