<?php
if ( ! class_exists( 'SLPEXP_Admin_Locations' ) ) {
	require_once( SLPLUS_PLUGINDIR . 'include/base_class.object.php');

	/**
	 * Class SLPEXP_Admin_Locations
	 *
	 * The things that modify the Admin / Locations tab.
	 *
	 * Text Domain: slp-experience
	 *
	 * @property 		SLP_Experience 	$addon
	 */
	class SLPEXP_Admin_Locations extends SLPlus_BaseClass_Object {
		public $addon;

		/**
		 * feature a location
		 *
		 * @param   string                          $action = add or remove
         * @param   SLPlus_Admin_Locations_Actions  $processor
		 */
		function feature_locations( $action , $processor) {
            $id = $processor->get_next_location();
            while ( ! is_null( $id ) ) {
                $this->slplus->database->extension->update_data( $id, array('featured' => ( $action === 'add' ) ? '1' : '0' ) );
                $id = $processor->get_next_location();
            }            
		}
	}
}